PDA

Visualizza la versione completa : [Android] Genymotion Failure [INSTALL_FAILED_OLDER_SDK]


zacca94
30-10-2017, 09:08
Ciao ragazzi ho cambiato emulatore che provando Genymotion ho notato che č veramente prestante e personalizzabile ma ho un problema ad installare un app.

Il problema nei file di log č: [INSTALL_FAILED_OLDER_SDK]

1) Ho impostato la path con un SDK tools scaricato cosė da poter modificare i file di configurazione.
https://s1.postimg.org/5y3xwceejj/rsz_screenshot_from_2017-10-30_09-01-26.png

2) Ho cercato i file build.gradle:

~/adt-bundle-linux-x86_64-20140702$ find . -name "build.gradle"
./sdk/extras/android/support/v13/src/build.gradle
./sdk/extras/android/support/v4/src/build.gradle


3) Ho googlato per trovare la soluzione.

4) Ho provato a modificare tutti e due i file inserendo come:
minSdkVersion 24
compileSdkVersion 23

Che dovrebbero essere le versioni pių recenti, giusto?

L'errore rimane lo stesso.

Grazie :)

zacca94
30-10-2017, 11:18
Ok ho risolto la prima parte del scaricando una versione SDK (API 19) adatta all'emulatore utilizzato.
L'app si č installata ma ora crasha :/

Quindi ipotizzo necessiti di una versione pių alta... ho runnato da terminale:


./android update sdk -u -a -t 166

Che corrisponde a: 166- Sources for Android SDK, API 25, revision 1

E me l'ha scaricato:

Do you accept the license 'android-sdk-license-2742d1c5' [y/n]: y

Installing Archives:
Preparing to install archives
Downloading Sources for Android SDK, API 25, revision 1
Installing Sources for Android SDK, API 25, revision 1
Installed Sources for Android SDK, API 25, revision 192%)
Done. 1 package installed.



Solo che... quale č la path? Perchč ho fatto tutti i find di questo mondo ma non riesco a trovare nulla...

Loading